#!/bin/sh

# run this function for files that go directily into the home directory
gohome() {
	ln -sfv $PWD/$1 ~/
}

# run this function for files that go into the .config file
goconfig() {
	ln -sfv $PWD/$1 ~/.config/
}

# run this function for files that go into the .local/bin file
gobin() {
	ln -sfv $PWD/$1 ~/.local/bin/
}

echo "This script will make symbolic links to all the dotfiles."
echo "Be sure to be cd-ed in the directory where the dotfiles repo resides (where this script is located ofc)\n"
echo "Type \"y\" if you do so we can continue"
read choice

if [ "$choice" = "y" ]
then
	echo "Now, are what are you installing this on?"
	echo "1 - desktop"
	echo "2 - laptop"
	read device

	while :
	do
		case $device in
			1)
				echo "installing desktop specific bits"
				# just plop desktop configs here idk

				;;
			2)
				echo "installing laptop specific bits"
				# or plop lapop configs here

				break
				;;
			*)
				echo "wot?"
				;;
		esac
	done

	gohome .zshrc
	gohome .zprofile
	gohome .doom.d
	gohome .vim

	goconfig dunst
	goconfig foot
	goconfig sway
	goconfig swaylock
	goconfig i3status-rust
	goconfig nvim
	goconfig ncmpcpp
	goconfig lf

	gobin bin/dmenukaomoji
	gobin bin/toggle
	gobin bin/startsway
fi
